Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.task
Class MoveWithStagingPostTaskMessage

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
              jp.ac.nagoyau.is.ss.kishii.suntori.message.task.MoveWithStagingPostTaskMessage

All Implemented Interfaces:
  IMessage, ITaskMessage

Deprecated.

    @Deprecated
    public class MoveWithStagingPostTaskMessage

extends TaskMessage

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`MoveWithStagingPostTaskMessage(int time, rescuecore2.worldmodel.EntityID ownerID, rescuecore2.worldmodel.EntityID targetAgentID, rescuecore2.worldmodel.EntityID destAreaID, java.util.List<rescuecore2.worldmodel.EntityID> stagingPointList)` Deprecated.
`MoveWithStagingPostTaskMessage(java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` Deprecated.

Method Summary
`rescuecore2.worldmodel.EntityID` | `getDestinationAreaID()` Deprecated.
`java.util.List<rescuecore2.worldmodel.EntityID>` | `getStagingAreaIDs()` Deprecated.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.task.TaskMessage
`getAssignedAgentID, getMessageOwnerID, setEntityIDListData`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveWithStagingPostTaskMessage

    public MoveWithStagingPostTaskMessage(int time,
                                          rescuecore2.worldmodel.EntityID ownerID,
                                          rescuecore2.worldmodel.EntityID targetAgentID,
                                          rescuecore2.worldmodel.EntityID destAreaID,
                                          java.util.List<rescuecore2.worldmodel.EntityID> stagingPointList)

  Deprecated.

### MoveWithStagingPostTaskMessage

    public MoveWithStagingPostTaskMessage(java.util.List<java.lang.Integer> bitList,
                                          int offset,
                                          java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  Deprecated.

Method Detail

### getDestinationAreaID

    public rescuecore2.worldmodel.EntityID getDestinationAreaID()

  Deprecated.

### getStagingAreaIDs

    public java.util.List<rescuecore2.worldmodel.EntityID> getStagingAreaIDs()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD